FR EN ES PT
Browse forums 
Ankama Trackers
Pinned

[Procedure] How to use New Ankama Launcher without Redownloding the game.

By iNTiMiD4T0R - MEMBER - February 12, 2019, 03:55:43

Hi.
With the official announcement of Ankama Launcher : Players have raised concerns about whether they have to re download the game files. Even though it is good to follow the official way to re download it. If you don't want to do that, (Which is understandable.) you can use the data from the old Client/Steam installation.

(You can share data between steam and normal client as well.
May be even share data between the old and New Launcher as well. Tested & Working.
That info
Here)


If you already have the game installed via the normal client of steam, the files there can be used with the new launcher via following this method.
(Works for Beta, Dofus and (May be) for krosmaga as well.)

Bonus : How to enable the beta version?

For Wakfu & Wakfu Beta
  • Go to your wakfu folder then in the game folder "Wakfu/game".
  • Copy these folders from the game folder and keep it somewhere else:
 
For Dofus :
  • Go to your Dofus folder then to the app folder "Dofus/app" find the folders shown here there. Especially Content, data and ui folders
  • Copy these folders from the default folder and keep(paste) it somewhere else:
 

Continue :
  • After doing that, delete everything from your wakfu game folder or uninstall the game.*
            (*If you want to install the game into the same folder using the new launcher.)
  • Go to launcher.
  • Start Installation of Wakfu/Wakfu-beta/Dofus to the Folder. (Let it run for a few seconds.)
  • Pause the download & Exit the launcher from the taskbar.
  • Paste the folders back into the new wakfu/wakfu-beta/dofus folder.
  • Run Launcher again and click on Resume download.
  • It will download around ~10mb additional files and you are good to go.

Procedure Video:  Here

Have fun and enjoy Wakfu/Dofus from the new launcher.
6 0
Reply
Reactions 3
Score : 32

I'm looking forward to the new launcher, I'm happy to see you are accounting for Linux with an AppImage, that's really good news.
Would you be able to list required packages though? (Don't mind the distro specific names, just what kind of packages are required)

I'm on a minimal Arch install with OpenJDK Java 12 full runtime environment installed and I re-downloaded all files just to be sure to start from scratch. When I hit the "Play" button the launcher minimizes to tray by default and nothing else happens. That feels like some bad call to some missing library.

Also I don't know if the advanced user settings might throw off anything, I haven't touched them:

Spoiler (click here to show spoiler)

-XX:+UnlockExperimentalVMOptions -XX:+UseG1GC -XX:G1NewSizePercent=20 -XX:G1ReservePercent=20 -Djava.net.preferIPv4Stack=true -Dsun.awt.noerasebackground=true -Dsun.java2d.noddraw=true -Djogl.disable.openglarbcontext
For better debugging I ran the launcher from shell and after clicking the "Play" button this is the output:

Spoiler (click here to show spoiler)

2019-07-16T17:00:15.864Z - debug: KPI: event 662 added
2019-07-16T17:00:15.870Z - info: Spawn zaap-start  
[ 'linux', 'amd64', 'en', '', '', '' ]
2019-07-16T17:00:15.871Z - debug: SPAWN scriptPath : ./zaap-start.sh
2019-07-16T17:00:15.871Z - debug: SPAWN location : /home/user/.config/Ankama/zaap/wakfu
2019-07-16T17:00:15.884Z - warn: Over hero html is not defined for this release
2019-07-16T17:00:15.899Z - info: Release exited  
{ name: 'Wakfu',
 release: 'main',
 code: 1,
 pid: 3578,
 instanceId: 3,
 shouldRestart: false }
2019-07-16T17:00:15.911Z - warn: Over hero html is not defined for this release
2019-07-16T17:00:16.609Z - debug: KPI: 5 event(s) sended
2019-07-16T17:00:17.895Z - warn: Over hero html is not defined for this release
2019-07-16T17:00:30.293Z - debug: fetch request: /cytrus.json
2019-07-16T17:00:30.293Z - debug: request: /cytrus.json  
{ repository: 'https://ankama.akamaized.net/zaap/cytrus' }
2019-07-16T17:00:30.419Z - debug: fetchJson: Parsing data for /cytrus.json

 
2 0
Reply
Score : 4660

Wakfu to launch on Linux distro needs this https://www.archlinux.org/packages/community/x86_64/libpng12/
libpng is prettymuch the only thing which needs to be installed to get the game running. If you are still having trouble refer to this post and see if that helps resolve the problem : https://www.wakfu.com/en/forum/143-guides/231330-guide-running-wakfu-gnu-linux

1 0
Respond to this thread